/*
 * parser classes for MySpell
 *
 * implemented: text, HTML, TeX
 *
 * Copyright (C) 2002, Laszlo Nemeth
 *
 */

#ifndef _TEXTPARSER_HXX_
#define _TEXTPARSER_HXX_

#include "atypes.hxx"

/*
 * Base Text Parser
 *
 */

class TextParser
{

protected:
  char                line[MAXLNLEN]; // parsed line
  char                is_wordchar[256]; // for detection of the word boundaries
  int                 head;  // head position
  int                 token; // begin of token
  int                 state; // state of automata


public:
 
  TextParser();
  TextParser(const char * wc);
  ~TextParser();

  char *              put_line(char * line);
  char *              get_line();
  char *              next_token();
  int                 change_token(const char * word);

  
};

#endif

